Foxit PDF SDK

Public Member Functions | List of all members
com.foxit.sdk.common.DocEventCallback Class Reference

## Public Member Functions
void | onDocOpened (PDFDoc document, int error_code)
| Triggered when a PDF document is opened. More...
void | onDocSaved (PDFDoc document, int error_code)
| Triggered when a PDF document is saved. More...
void | onDocWillDestroy (PDFDoc document)
| Triggered when a PDF document will be destroyed. More...
void | onDocWillOpen ()
| Triggered when the document will be opened. More...
void | onDocWillSave (PDFDoc document)
| Triggered when a PDF document will be saved. More...
void | release ()
| A callback function used to release current callback object itself. More...

## Detailed Description

This class represents a callback object used to listen PDF document event. All the pure virtual functions in this class are used as callback functions and should be implemented by user in derived class. User can also re-write the virtual functions in this class in custom way.

## Member Function Documentation

## ◆ onDocOpened()

void com.foxit.sdk.common.DocEventCallback.onDocOpened | ( | PDFDoc | document,
|  | int | error_code
| ) |  |

Triggered when a PDF document is opened.

Parameters

  [in] | document | A PDF document object which is opened.
  [in] | error_code | Error code which represents the error state when opening the PDF document. Please refer to values starting from com.foxit.sdk.common.Constants.e_ErrSuccess and this would be one of these values.

Returns
  None.

## ◆ onDocSaved()

void com.foxit.sdk.common.DocEventCallback.onDocSaved | ( | PDFDoc | document,
|  | int | error_code
| ) |  |

Triggered when a PDF document is saved.

Parameters

  [in] | document | A PDF document object which is saved.
  [in] | error_code | Error code which represents the error state when saving the PDF document. Please refer to values starting from com.foxit.sdk.common.Constants.e_ErrSuccess and this would be one of these values.

Returns
  None.

## ◆ onDocWillDestroy()

void com.foxit.sdk.common.DocEventCallback.onDocWillDestroy | ( | PDFDoc | document | ) |

Triggered when a PDF document will be destroyed.

Parameters

  [in] | document | A PDF document object which will be destroyed.

Returns
  None.

## ◆ onDocWillOpen()

void com.foxit.sdk.common.DocEventCallback.onDocWillOpen | ( |  | ) |

Triggered when the document will be opened.

Returns
  None.

## ◆ onDocWillSave()

void com.foxit.sdk.common.DocEventCallback.onDocWillSave | ( | PDFDoc | document | ) |

Triggered when a PDF document will be saved.

Parameters

  [in] | document | A PDF document object which will be saved.

Returns
  None.

## ◆ release()

void com.foxit.sdk.common.DocEventCallback.release | ( |  | ) |

A callback function used to release current callback object itself.

Returns
  None.